---

# ---
# vars used by roles/ansible_dependencies
# ---


# ---
# vars used by roles/ansible_user
# ---


# ---
# vars used by roles/common/tasks/basic.yml
# ---


# ---
# vars used by roles/common/tasks/sshd.yml
# ---


# ---
# vars used by roles/common/tasks/apt.yml
# ---

install_compiler_pkgs: true

install_postgresql_pkgs: false


# ---
# vars used by roles/common/tasks/users.yml
# ---

insert_root_ssh_keypair: true

root_ssh_keypair:
  - name: id-rsa-dehydrated
    priv_key_src: mail.cadus/root/.ssh/mail.cadus-id_rsa-dehydrated
    priv_key_dest: /root/.ssh/id_rsa-dehydrated
    pub_key_src: mail.cadus/root/.ssh/mail.cadus-id_rsa-dehydrated.pub
    pub_key_dest: /root/.ssh/id_rsa-dehydrated.pub
  - name: id-rsa-opendkim
    priv_key_src: mail.cadus/root/.ssh/mail.cadus-id_rsa-opendkim
    priv_key_dest: /root/.ssh/id_rsa-opendkim
    pub_key_src: mail.cadus/root/.ssh/mail.cadus-id_rsa-opendkim.pub
    pub_key_dest: /root/.ssh/id_rsa-opendkim.pub


# ---
# vars used by roles/common/tasks/users-systemfiles.yml
# ---


# ---
# vars used by roles/common/tasks/webadmin-user.yml
# ---


# ---
# vars used by roles/common/tasks/sudoers.yml
# ---
#
# see: roles/common/tasks/vars


# ---
# vars used by roles/common/tasks/caching-nameserver.yml
# ---


# ---
# vars used by roles/common/tasks/git.yml
# ---
#
# see: roles/common/tasks/vars


# ---
# vars used by roles/common/tasks/copy_files.yml
# ---

copy_plain_files:

  # /root/bin/monitoring
  #
  - name: monitoring_check_cert_for_dovecot.conf
    src_path: mail.cadus/root/bin/monitoring/conf/check_cert_for_dovecot.conf
    dest_path: /root/bin/monitoring/conf/check_cert_for_dovecot.conf

  - name: monitoring_check_webservice_load.conf
    src_path: mail.cadus/root/bin/monitoring/conf/check_webservice_load.conf
    dest_path: /root/bin/monitoring/conf/check_webservice_load.conf

  # /root/bin/postfix
  #
  - name: postfix_create_opendkim_key.conf
    src_path: mail.cadus/root/bin/postfix/conf/create_opendkim_key.conf
    dest_path: /root/bin/postfix/conf/create_opendkim_key.conf

  - name: postfix_postfix_add_mailboxes.conf
    src_path: mail.cadus/root/bin/postfix/conf/postfix_add_mailboxes.conf
    dest_path: /root/bin/postfix/conf/postfix_add_mailboxes.conf

  - name: postfix_sent_userinfo_postfix.conf
    src_path: mail.cadus/root/bin/postfix/conf/sent_userinfo_postfix.conf
    dest_path: /root/bin/postfix/conf/sent_userinfo_postfix.conf

  - name: postfix_whitelist_mb_sigs.conf
    src_path: mail.cadus/root/bin/postfix/conf/whitelist_mb_sigs.conf
    dest_path: /root/bin/postfix/conf/whitelist_mb_sigs.conf


copy_plain_files_postfwd_host_specific:

  - name: postfwd.wl-hosts
    src_path: mail.cadus/etc/postfix/postfwd.wl-hosts
    dest_path: /etc/postfix/postfwd.wl-hosts

  - name: postfwd.wl-nets
    src_path: mail.cadus/etc/postfix/postfwd.wl-nets
    dest_path: /etc/postfix/postfwd.wl-nets

  - name: postfwd.wl-sender
    src_path: mail.cadus/etc/postfix/postfwd.wl-sender
    dest_path: /etc/postfix/postfwd.wl-sender

  - name: postfwd.wl-user
    src_path: mail.cadus/etc/postfix/postfwd.wl-user
    dest_path: /etc/postfix/postfwd.wl-user

  # Postfix Firewall postfwd
  #
  #- name: postfwd.wl-user
  #  src_path: mail.cadus/etc/postfix/postfwd.wl-user
  #  dest_path: /etc/postfix/postfwd.wl-user


#copy_template_files: []
#
#  - name: mailsystem_install_amavis.conf
#    src_path: usr/local/src/mailsystem/conf/install_amavis.conf.j2
#    dest_path: /usr/local/src/mailsystem/conf/install_amavis.conf



# ---
# vars used by roles/common/tasks/config_files_mailsystem_scripts.yml
# ---

hostname: mail.cadus.org
ipv4_address: 135.181.22.161
ipv6_address: 2a01:4f9:4b:46d1::161

admin_email: it@cadus.org
is_relay_host: !!str "false"

db_in_use: !!str "true"
# postfix_db_type
#
# possible values are 'PostgreSQL' and 'MySQL'
postfix_db_type: MySQL
postfix_db_name: postfix
postfix_db_user: postfix
#postfix_db_host:
postfix_db_pass: T3CJnFMJNX9wmhNs
mysql_credentials: !!str "-u root -S /run/mysqld/mysqld.sock"

# install_amavis.conf
#
mp_receipt_number: 106015125438
si_authorisation_signature: b0b7e94d3fcc8f3b1f128edd5830392361868cf0174723a9924ac25bf8b1b588cb974b50234e1bc1d9839dfe0ca6e1627733d90daf1399347b1046d20c2e3a89

# install_postfixadmin.conf
# 
website_name_postfixadmin: adm.cadus.org

email_welcome_message: "\n
Hallo,\n

Ihre/Deine neue E-Mail Adresse ist eingerichtet.\n

Cadus e.V. - Redefine Global Solidarity\n

--\n
Cadus e.V.\n
Am Sudhaus 2\n
D-12053 Berlin\n
admin@cadus.org\n
"

# install_update_dovecot.conf
#
dovecot_from_address: "Administrator E-Mail <admin@cadus.org>"
dovecot_reply_to: "admin@cadus.org"
webmailer_address: "https://webmail.cadus.org"
salutation: "Cadus e.V. - Redefine Global Solidarity\n

--\n
Cadus e.V.\n
Am Sudhaus 2\n
D-12053 Berlin\n
admin@cadus.org\n
"

# install_upgrade_roundcube-webmail.conf
#
# Webmailer
webmail_site_name: webmail.cadus.org
autoreply_hostname: autoreply.cadus.org
# possible values: 'pgsql' or 'mysql'
roundcube_db_type: mysql
roundcube_db_name: roundcubemail
roundcube_db_user: roundcube
#roundcube_db_host:
roundcube_db_pass: 'j3vqsK7Ldm7MxNjH'

roundcube_acl_plugin: false

roundcube_product_name: O.OPEN - Webmailer
roundcube_support_url: https://www.cadus.org
roundcube_skin_logo: "images/cadu_logo_webmail.png"


template_files_mailsystem_script:

  - name: mailsystem_install_amavis.conf
    src_path: usr/local/src/mailsystem/conf/install_amavis.conf.j2
    dest_path: /usr/local/src/mailsystem/conf/install_amavis.conf

  - name: mailsystem_install_postfixadmin.conf
    src_path: usr/local/src/mailsystem/conf/install_postfix_advanced.conf.j2
    dest_path: /usr/local/src/mailsystem/conf/install_postfix_advanced.conf

  - name: mailsystem_install_postfixadmin.conf
    src_path: usr/local/src/mailsystem/conf/install_postfixadmin.conf.j2
    dest_path: /usr/local/src/mailsystem/conf/install_postfixadmin.conf

  - name: mailsystem_install_update_dovecot.conf
    src_path: usr/local/src/mailsystem/conf/install_update_dovecot.conf.j2
    dest_path: /usr/local/src/mailsystem/conf/install_update_dovecot.conf

  - name: mailsystem_install_upgrade_roundcube-webmail.conf
    src_path: usr/local/src/mailsystem/conf/install_upgrade_roundcube-webmail.conf.j2
    dest_path: /usr/local/src/mailsystem/conf/install_upgrade_roundcube-webmail.conf
